<div id="adminSeller">
  <div id="hideBottomInput">
    <div class="rounded-lg border border-gray-border-common my-6 p-6 bg-white">
      <div class="d-flex justify-between items-center">
        <div class="d-md-flex items-center justify-between w-full">
          <div class="d-sm-flex mb-md-0 mb-2">
            <v-select
              dense
              outlined
              class="rounded-l-lg rounded-r-0 w-52 mr-3 form-resp"
              append-icon="mdi-chevron-down"
              :menu-props="{ bottom: true, offsetY: true }"
              placeholder="Active Status"
              :items="listStatus"
              @change="onGetListSeller()"
              v-model="status"
              item-text="title"
              item-value="value"
              hide-details
            >
              <template v-slot:item="status">
                <template>
                  <v-list-item-content class="py-0">
                    <div class="px-4 py-2 w-auto !flex-none d-flex gap-2">
                      {{status.item.title}}
                    </div>
                  </v-list-item-content>
                </template>
              </template>
            </v-select>
            <v-text-field
              prepend-inner-icon="mdi-magnify"
              v-model="config.search"
              class="rounded-r-lg rounded-l-0 w-60 form-resp mt-sm-0 mt-2"
              placeholder="Search by name"
              outlined
              dense
              hide-details
              @keup.enter="onGetListSeller()"
              v-debounce:1500ms="onGetListSeller"
            ></v-text-field>
          </div>
          <v-btn
            depressed
            color="blue"
            class="!capitalize !text-white !h-10"
            @click="openDialogAddSeller()"
          >
            <v-icon left class="!text-base">mdi-account-plus-outline</v-icon>
            Add New Sellers
          </v-btn>
        </div>
      </div>
    </div>
    <div>
      <v-card class="ui-card rounded-t-lg pb-10">
        <v-skeleton-loader
          class="mx-auto mt-10"
          width="100%"
          type="card"
          v-if="loadingTable"
        >
        </v-skeleton-loader>
        <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
          <template v-slot:default>
            <thead>
              <tr>
                <th class="table-head" style="width: 100px">
                  <div class="d-flex align-center">
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Status
                    </p>
                  </div>
                </th>
                <th class="table-head text-left">
                  <div style="width: 400px">
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Seller Name
                    </p>
                  </div>
                </th>
                <!-- <th class="table-head text-left">
                  <div>
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Sale Orders
                    </p>
                  </div>
                </th>
                <th class="table-head text-left">
                  <div>
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Sales Amount
                    </p>
                  </div>
                </th> -->
                <th class="table-head text-left">
                  <div>
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Action
                    </p>
                  </div>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(seller,i) in listAdminSeller" :key="seller._id">
                <td class="py-3">
                  <v-switch
                    inset
                    v-model="seller.isActive"
                    @change="onChangeStatus(seller)"
                    class="mt-0"
                  >
                  </v-switch>
                </td>
                <td
                  class="py-3"
                  @click="$router.push(`/admin/users/detail/${seller._id}`)"
                >
                  <div class="flex items-center">
                    <div>
                      <p class="mb-0 text-sm text-gray-900">{{seller.name}}</p>
                      <p class="mb-0 text-sm text-gray-900">{{seller.email}}</p>
                    </div>
                    <div
                      class="bg-red-100 rounded-md py-1 px-2 ml-3"
                      v-if="!seller.isActive"
                    >
                      <p class="mb-0 text-red-500 text-xs font-semibold">
                        Deactive
                      </p>
                    </div>
                  </div>
                </td>
                <!-- <td class="py-3" @click="$router.push(`/admin/users/detail/${seller._id}`)">
                  <p class="mb-0 text-sm text-gray-900">
                    41
                  </p>
                </td>
                <td class="py-3" @click="$router.push(`/admin/users/detail/${seller._id}`)">
                  <p class="mb-0 text-sm text-gray-900">
                    $2,788
                  </p>
                </td> -->
                <td class="py-3">
                  <v-menu offset-y>
                    <template v-slot:activator="{ on, attrs }">
                      <v-btn icon small fab v-bind="attrs" v-on="on">
                        <v-icon> mdi-dots-horizontal </v-icon>
                      </v-btn>
                    </template>
                    <v-list class="py-0">
                      <v-list-item
                        class="cursor-pointer hover:bg-gray-200"
                        @click="openDialogViewDetail(seller)"
                      >
                        <v-list-item-title>
                          <p class="mb-0 text-xs text-neutral-900">
                            View Details
                          </p>
                        </v-list-item-title>
                      </v-list-item>
                      <v-divider></v-divider>
                      <!-- <v-list-item class="cursor-pointer hover:bg-gray-200">
                        <v-list-item-title>
                          <p class="mb-0 text-xs text-neutral-900">
                            Assign Payment
                          </p>
                        </v-list-item-title>
                      </v-list-item>
                      <v-divider></v-divider> -->
                    </v-list>
                  </v-menu>
                </td>
              </tr>
            </tbody>
          </template>
        </v-simple-table>
        <div
          class="d-flex justify-center ma-4"
          v-if="listAdminSeller.length == 0 && !loadingTable"
        >
          <div>
            <div class="d-flex align-center justify-center">
              <img
                src="~/assets/images/payment/no-payment.png"
                alt=""
                width="136"
                height="136"
              />
            </div>
            <p
              class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold"
            >
              No Seller
            </p>
            <p class="mb-0 text-center text-xs text-gray-500">
              Add a new seller now
            </p>
          </div>
        </div>
        <div
          class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
          v-if="listAdminSeller.length && !loadingTable"
        >
          <v-pagination
            v-model="config.page"
            :length="totalPage"
            :total-visible="5"
            class="pagination"
          >
          </v-pagination>
          <div
            id="hideBottomInput"
            class="input-gotopage pos-relative px-3 px-sm-0 mt-3 mt-sm-0"
          >
            <v-text-field
              dense
              outlined
              v-model.number="page"
              placeholder="Go to page"
            >
            </v-text-field>
            <div class="button-inside-input">
              <v-btn
                height="36px"
                color="#076CE3"
                class="px-0 button-inside-input__button elevation-0"
                @click="onRedirectPage()"
              >
                <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
              </v-btn>
            </div>
          </div>
        </div>
      </v-card>
    </div>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogAddSeller" :persistent="loading" max-width="480 ">
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">
              Add new Sellers
            </p>
            <span class="text-sm text-gray-900">
              Create new account for user & assign as a Sellers
            </span>
          </div>
          <v-btn icon small @click="closeDialogAddSeller()">
            <v-icon color="#111827"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="pa-6">
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-4 flex items-center">
              <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                Seller Name:
              </p>
            </div>
            <div class="col-span-12 md:col-span-8">
              <v-text-field
                dense
                outlined
                placeholder="Enter seller name"
                v-model="seller.name"
              >
              </v-text-field>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-4 flex items-center">
              <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                Email:
              </p>
            </div>
            <div class="col-span-12 md:col-span-8">
              <v-text-field
                dense
                outlined
                placeholder="Enter email"
                v-model="seller.email"
              >
              </v-text-field>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-4 flex items-center">
              <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                Phone:
              </p>
            </div>
            <div class="col-span-12 md:col-span-8">
              <v-text-field
                dense
                outlined
                placeholder="Enter phone number"
                v-model="seller.phoneNumber"
              >
              </v-text-field>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-4 flex items-center">
              <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                Password:
              </p>
            </div>
            <div class="col-span-12 md:col-span-8">
              <v-text-field
                dense
                outlined
                placeholder="Enter password"
                v-model="seller.password"
              >
              </v-text-field>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-4 flex items-center">
              <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                Email Support:
              </p>
            </div>
            <div class="col-span-12 md:col-span-8">
              <v-text-field
                dense
                outlined
                placeholder="Enter email support"
                v-model="seller.supportEmail"
              >
              </v-text-field>
            </div>
          </div>
        </div>
        <v-divider></v-divider>
        <div class="flex items-center justify-end py-4 px-6">
          <v-btn
            color="#E5E7EB"
            outlined
            class="elevation-0 mr-3"
            height="44"
            @click="closeDialogAddSeller()"
            :disabled="loading"
          >
            <p class="mb-0 text-sm text-neutral-900 font-semibold capitalize">
              Cancel
            </p>
          </v-btn>
          <v-btn
            color="#3B82F6"
            class="elevation-0"
            height="44"
            @click="onAddSeller()"
            :disabled="loading"
          >
            <v-progress-circular
              indeterminate
              color="#fff"
              v-if="loading"
              size="22"
            >
            </v-progress-circular>
            <p class="mb-0 text-sm text-white font-semibold capitalize" v-else>
              Add Seller
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogViewDetail" max-width="480 ">
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">
              Seller Details
            </p>
            <span class="text-sm text-gray-900">
              Show information of an Seller
            </span>
          </div>
          <v-btn icon small @click="dialogViewDetail = false">
            <v-icon color="#111827"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="pa-6">
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-store </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Seller Name:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{sellerDetail.name}}
              </p>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-gmail </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Email:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{sellerDetail.email}}
              </p>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-phone </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Phone Number:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{sellerDetail.phoneNumber}}
              </p>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-gmail </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Email support:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{sellerDetail.supportEmail}}
              </p>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-calendar-text </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Joined Date:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{sellerDetail.createdAt &&
                $utils.formatDateCreatedAt(sellerDetail.createdAt)}}
              </p>
            </div>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
